package bull.com.utils;

import java.io.Serializable;

import javax.faces.context.FacesContext;

public abstract class BaseBean implements Serializable
{
  /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

  public BaseBean()
  {
  }

  // Faces objects

  public FacesContext getFacesContext()
  {
    return FacesContext.getCurrentInstance();
  }

  public javax.faces.application.Application getApplication()
  {
    return getFacesContext().getApplication();
  }
}
